#!/bin/bash
###############################################################################
#                                                                             #
# PDFUnit - Automated PDF Tests                                               #
#                                                                             #
# Copyright (C) 2015 PDFUnit.com                                              #
#                                                                             #
# This file is part of the commercial library PDFUnit.                        #
#                                                                             #
# Legal information__: http://www.pdfunit.com/en/licensing.html               #
# Manual_____________: http://pdfunit.com/en/documentation/                   #
# Contact for license: license[at]pdfunit.com                                 #
#                                                                             #
###############################################################################
#
# Convert Unicode content of the input file to hex code.
#
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7/*:$CLASSPATH
export CLASSPATH=build_eclipse:$CLASSPATH

export TOOL=com.pdfunit.tools.ConvertUnicodeToHex
export IN_FILE=../pdf/unicode/convert-unicode-to-hex.in.txt
export OUT_DIR=../tmp

java -Dfile.encoding=UTF-8 $TOOL $IN_FILE $OUT_DIR

echo file '../tmp/_convert-unicode-to-hex.out.txt' was created
