#!/bin/bash
###############################################################################
#                                                                             #
# PDFUnit - Automated PDF Tests                                               #
#                                                                             #
# Copyright (C) 2015 PDFUnit.com                                              #
#                                                                             #
# This file is part of the commercial library PDFUnit.                        #
#                                                                             #
# Legal information__: http://www.pdfunit.com/en/licensing.html               #
# Manual_____________: http://pdfunit.com/en/documentation/                   #
# Contact for license: license[at]pdfunit.com                                 #
#                                                                             #
###############################################################################
# Author: Carsten Siedentop                                                   #
# Date:   August 2013                                                         #
###############################################################################
#
# Extract all images from a PDF document into a PNG file for each image.
#

export CLASSPATH=../lib/pdfunit-2015.10_java-1.7:$CLASSPATH
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7/*:$CLASSPATH
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/pdfbox-1.8.0/*:$CLASSPATH
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/commons-logging-1.1/*:$CLASSPATH

export TOOL=com.pdfunit.tools.ExtractImages
export IN_FILE=../pdf/images/imagesWithSameImagesOnOnePage.pdf
export OUT_DIR=../tmp

java  $TOOL  $IN_FILE  $OUT_DIR

echo image files with the extension '.out.png' have been created in folder '../tmp'.
