::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::                                                                           :
:: PDFUnit - Automated PDF Tests                                             :
::                                                                           :
:: Copyright (C) 2015 PDFUnit.com                                            :
::                                                                           :
:: This file is part of the commercial library PDFUnit.                      :
::                                                                           :
:: Legal information__: http://www.pdfunit.com/en/licensing.html             :
:: Manual_____________: http://pdfunit.com/en/documentation/                 :
:: Contact for license: license[at]pdfunit.com                               :
::                                                                           :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: Author: Carsten Siedentop                                                 :
:: Date:   August 2013                                                       :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::
:: Extract information about named destinations in 
:: a PDF document into an XML file.
::

@echo off
setlocal
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/*;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/bouncycastle-jdk15on-150/*;%CLASSPATH%
set CLASSPATH=../lib/itext-5.5.1/*;%CLASSPATH%

set TOOL=com.pdfunit.tools.ExtractNamedDestinations
set OUT_DIR=../tmp
set IN_FILE=../pdf/bookmarks/bookmarksWithPdfOutline.pdf
set PASSWD=

set IN_FILE=../pdf/content/diverseContentOnMultiplePages_encrypted.pdf
set PASSWD=user-password

java  %TOOL%  %IN_FILE%  %OUT_DIR%  %PASSWD%

echo a file with the prefix '_named-destinations_' is created in folder '%OUT_DIR%'.
endlocal
