#!/bin/bash
###############################################################################
#                                                                             #
# PDFUnit - Automated PDF Tests                                               #
#                                                                             #
# Copyright (C) 2015 PDFUnit.com                                              #
#                                                                             #
# This file is part of the commercial library PDFUnit.                        #
#                                                                             #
# Legal information__: http://www.pdfunit.com/en/licensing.html               #
# Manual_____________: http://pdfunit.com/en/documentation/                   #
# Contact for license: license[at]pdfunit.com                                 #
#                                                                             #
###############################################################################
# Author: Carsten Siedentop                                                   #
# Date:   August 2013                                                         #
###############################################################################
#
# Extract information about named destinations in 
# a PDF document into an XML file.
#

export CLASSPATH=../lib/pdfunit-2015.10_java-1.7:$CLASSPATH
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7/*:$CLASSPATH
export CLASSPATH=../lib/itext-5.5.1/*:$CLASSPATH

export TOOL=com.pdfunit.tools.ExtractNamedDestinations
export IN_FILE=../pdf/bookmarks/bookmarksWithPdfOutline.pdf
export OUT_DIR=../tmp

java  $TOOL  $IN_FILE  $OUT_DIR

echo a file with the prefix '_named-destinations_' is created in folder '../tmp'.
