<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: commonTemplates.xslt 3370 2015-10-30 20:50:26Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <!-- ============================================================ -->
  <!-- Templates for common use.                                    -->
  <!-- ============================================================ -->

  <xsl:template match="p:inClippingArea">
    <xsl:text>, new ClippingArea</xsl:text>
    <xsl:text>(</xsl:text>
    <xsl:value-of select="@upperLeftX" />
    <xsl:text>, </xsl:text>
    <xsl:value-of select="@upperLeftY" />
    <xsl:text>, </xsl:text>
    <xsl:value-of select="@width" />
    <xsl:text>, </xsl:text>
    <xsl:value-of select="@height" />
    <xsl:if test="@unit">
      <xsl:text>, </xsl:text>
      <xsl:value-of select="@unit" />
    </xsl:if>
    <xsl:text>)</xsl:text>
  </xsl:template>

</xsl:stylesheet>