<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: compliance.xslt 3737 2015-12-11 13:05:52Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <xsl:template match="p:conformsToPDFA1A">
    <xsl:text>              .conformsTo()</xsl:text>
    <xsl:text>.pdfA1A()</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:conformsToPDFA1B">
    <xsl:text>              .conformsTo()</xsl:text>
    <xsl:text>.pdfA1B()</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:conformsToPDFA2U">
    <xsl:text>              .conformsTo()</xsl:text>
    <xsl:text>.pdfA2U()</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:conformsToPDFX1">
    <xsl:text>              .conformsTo()</xsl:text>
    <xsl:text>.pdfX1()</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:conformsToPDFX3">
    <xsl:text>              .conformsTo()</xsl:text>
    <xsl:text>.pdfX3()</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:conformsToPDFX4">
    <xsl:text>              .conformsTo()</xsl:text>
    <xsl:text>.pdfX4()</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:conformsToPDFX">
    <xsl:text>              .conformsTo()</xsl:text>
    <xsl:text>.pdfX</xsl:text>
    <xsl:text>("</xsl:text>
    <xsl:value-of select="@standard" />
    <xsl:text>")</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

</xsl:stylesheet>