<?xml version="1.0" encoding="UTF-8"?>
<!-- ========================================================================= -->
<!--                                                                           -->
<!-- PDFUnit - Automated PDF Tests                                             -->
<!--                                                                           -->
<!-- Copyright (C) 2015 PDFUnit.com                                            -->
<!--                                                                           -->
<!-- This file is part of the commercial library PDFUnit.                      -->
<!--                                                                           -->
<!-- Legal information__: http://www.pdfunit.com/en/licensing.html             -->
<!-- Manual_____________: http://pdfunit.com/en/documentation/                 -->
<!-- Contact for license: license[at]pdfunit.com                               -->
<!--                                                                           -->
<!-- ========================================================================= -->
<!-- $Id: embeddedfiles.xslt 3737 2015-12-11 13:05:52Z csiedentop $
<!-  ========================================================================= -->
<xsl:stylesheet version="2.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:p="http://www.pdfunit.com"
>

  <xsl:template match="p:hasNumberOfEmbeddedFiles">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>(</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>)</xsl:text>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasEmbeddedFile">
    <xsl:text>              .</xsl:text>
    <xsl:value-of select="name(.)" />
    <xsl:text>()</xsl:text>
    <xsl:apply-templates select="@*"/>
    <xsl:value-of select="$BREAK" />  
  </xsl:template>

  <xsl:template match="p:hasEmbeddedFile/@name">
    <xsl:text>.withName</xsl:text>
    <xsl:text>("</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>")</xsl:text>
  </xsl:template>

  <xsl:template match="p:hasEmbeddedFile/@content">
    <xsl:text>.withContent</xsl:text>
    <xsl:text>("</xsl:text>
    <xsl:value-of select="." />
    <xsl:text>")</xsl:text>
  </xsl:template>

</xsl:stylesheet>