::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::                                                                           :
:: PDFUnit - Automated PDF Tests                                             :
::                                                                           :
:: Copyright (C) 2015 PDFUnit.com                                            :
::                                                                           :
:: This file is part of the commercial library PDFUnit.                      :
::                                                                           :
:: Legal information__: http://www.pdfunit.com/en/licensing.html             :
:: Manual_____________: http://pdfunit.com/en/documentation/                 :
:: Contact for license: license[at]pdfunit.com                               :
::                                                                           :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: Author: Carsten Siedentop                                                 :
:: Date:   August 2013                                                       :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::
:: Extract all images from a PDF document into a PNG file for each image.
::

@echo off
setlocal
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/*;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/pdfbox-1.8.0/*;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/commons-logging-1.1/*;%CLASSPATH%

set TOOL=com.pdfunit.tools.ExtractImages
set OUT_DIR=../tmp
set IN_FILE=../pdf/images/imagesWithSameImagesOnOnePage.pdf
set PASSWD=

java  %TOOL%  %IN_FILE%  %OUT_DIR%  %PASSWD%

echo image files with the extension '.out.png' have been created in folder '%OUT_DIR%'.
endlocal
