::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::                                                                           :
:: PDFUnit - Automated PDF Tests                                             :
::                                                                           :
:: Copyright (C) 2015 PDFUnit.com                                            :
::                                                                           :
:: This file is part of the commercial library PDFUnit.                      :
::                                                                           :
:: Legal information__: http://www.pdfunit.com/en/licensing.html             :
:: Manual_____________: http://pdfunit.com/en/documentation/                 :
:: Contact for license: license[at]pdfunit.com                               :
::                                                                           :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: Author: Carsten Siedentop                                                 :
:: Date:   August 2013                                                       :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::
:: Render a complete PDF into image files. Each page as a file.
::

@echo off
setlocal
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/*;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/bouncycastle-jdk15on-150/*;%CLASSPATH%
set CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/jpedal/*;%CLASSPATH%

set TOOL=com.pdfunit.tools.RenderPdfToImages
set OUT_DIR=../tmp
set IN_FILE=../pdf/master/compareToMaster.pdf
set PASSWD=

java  %TOOL%  %IN_FILE%  %OUT_DIR%  %PASSWD%

echo each page of the PDF was rendered into a file with the prefix '_rendered_'.
endlocal
