#!/bin/bash
###############################################################################
#                                                                             #
# PDFUnit - Automated PDF Tests                                               #
#                                                                             #
# Copyright (C) 2015 PDFUnit.com                                              #
#                                                                             #
# This file is part of the commercial library PDFUnit.                        #
#                                                                             #
# Legal information__: http://www.pdfunit.com/en/licensing.html               #
# Manual_____________: http://pdfunit.com/en/documentation/                   #
# Contact for license: license[at]pdfunit.com                                 #
#                                                                             #
###############################################################################
# Author: Carsten Siedentop                                                   #
# Date:   August 2013                                                         #
###############################################################################
#
# Render a complete PDF into image files. Each page as a file.
#

export CLASSPATH=../lib/pdfunit-2015.10_java-1.7:$CLASSPATH
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7/*:$CLASSPATH
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/bouncycastle-jdk15on-150/*:$CLASSPATH
export CLASSPATH=../lib/pdfunit-2015.10_java-1.7/lib/jpedal/*:$CLASSPATH

export TOOL=com.pdfunit.tools.RenderPdfToImages
export IN_FILE=../pdf/master/compareToMaster.pdf
export OUT_DIR=../tmp
export PASSWD=

java  $TOOL  $IN_FILE  $OUT_DIR  $PASSWD
