::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::                                                                           :
:: PDFUnit - Automated PDF Tests                                             :
::                                                                           :
:: Copyright (C) 2015 PDFUnit.com                                            :
::                                                                           :
:: This file is part of the commercial library PDFUnit.                      :
::                                                                           :
:: Legal information__: http://www.pdfunit.com/en/licensing.html             :
:: Manual_____________: http://pdfunit.com/en/documentation/                 :
:: Contact for license: license[at]pdfunit.com                               :
::                                                                           :
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
::
:: Verify the installation of PDFUnit.
::

@echo off
::setlocal

set CURRENTDIR=%~dp0
set PDFUNIT_HOME=%CURRENTDIR%
::
:: Change the installation directories depending on your situation:
::
set ASPECTJ_HOME=%PDFUNIT_HOME%lib/aspectj-1.8.0
set BOUNCYCASTLE_HOME=%PDFUNIT_HOME%lib/bouncycastle-jdk15on-150
set COMMONSLOGGING_HOME=%PDFUNIT_HOME%lib/commons-logging-1.1
set ITEXT_HOME=%PDFUNIT_HOME%lib/itext-5.5.1
set JPEDAL_HOME=%PDFUNIT_HOME%lib/jpedal
set PDFBOX_HOME=%PDFUNIT_HOME%lib/pdfbox-1.8.0
set VIP_HOME=%PDFUNIT_HOME%lib/vip-1.0.0
set XMLUNIT_HOME=%PDFUNIT_HOME%lib/xmlunit-2.0-alpha_customized

set CLASSPATH=
set CLASSPATH=%ASPECTJ_HOME%/*;%CLASSPATH%
set CLASSPATH=%BOUNCYCASTLE_HOME%/*;%CLASSPATH%
set CLASSPATH=%COMMONSLOGGING_HOME%/*;%CLASSPATH%
set CLASSPATH=%ITEXT_HOME%/*;%CLASSPATH%
set CLASSPATH=%JPEDAL_HOME%/*;%CLASSPATH%
set CLASSPATH=%PDFBOX_HOME%/*;%CLASSPATH%
set CLASSPATH=%VIP_HOME%/*;%CLASSPATH%
set CLASSPATH=%XMLUNIT_HOME%/*;%CLASSPATH%

:: The folder of PDFUnit-Java:
set CLASSPATH=%PDFUNIT_HOME%;%CLASSPATH%
:: The JAR files of PDFUnit-Java:
set CLASSPATH=%PDFUNIT_HOME%/*;%CLASSPATH%


:: Run installation verification:
java org.verifyinstallation.VIPMain --in verifyInstallation.vip  --out verifyInstallation_result.html

endlocal