/* ***************************************************************************
 *                                                                           *
 * VIP - Verify Installation Program                                         *
 *                                                                           *
 * Copyright (C) 2013 www.verify-installation.org                            *
 *                                                                           *
 * This file is part of the OpenSource Project VIP                           *
 *                                                                           *
 * Documentation_________: http://verify-installation.org/howto/             *
 * Contact_______________: info@verify-installation.org                      *
 *                                                                           *
 *************************************************************************** *
 * $Id: VIPFile.java 47 2013-10-24 15:54:00Z csiedentop $
 *************************************************************************** */
package org.verifyinstallation.objective;

/**
 * Container for all data belonging to a file.
 *
 * @author Carsten Siedentop
 * @since October 2013
 */
public class VIPFile {

  private String name       = ""; 
  private String comment    = "";
  private String canExecuteExpected = "";
  private String canWriteExpected   = "";
  private String canReadExpected    = "";
  private String location;

  public void setName(String name) {
    this.name = name;
  }

  public void setComment(String comment) {
    this.comment = comment;
  }

  public void setCanReadExpected(String canRead) {
    this.canReadExpected = canRead;
  }

  public void setCanWriteExpected(String canWrite) {
    this.canWriteExpected = canWrite;
  }

  public void setCanExecuteExpected(String canExecute) {
    this.canExecuteExpected = canExecute;
  }

  public String getName() {
    return name;
  }

  public String getComment() {
    return comment;
  }

  public String getCanExecuteExpected() {
    return canExecuteExpected;
  }

  public String getCanWriteExpected() {
    return canWriteExpected;
  }

  public String getCanReadExpected() {
    return canReadExpected;
  }

  public void setLocation(String location) {
    this.location = location;
  }

  public String getLocation() {
    return location;
  }
  
}
