#!/bin/bash
###############################################################################
#                                                                             #
# PDFUnit - Automated PDF Tests                                               #
#                                                                             #
# Copyright (C) 2015 PDFUnit.com                                              #
#                                                                             #
# This file is part of the commercial library PDFUnit.                        #
#                                                                             #
# Legal information__: http://www.pdfunit.com/en/licensing.html               #
# Manual_____________: http://pdfunit.com/en/documentation/                   #
# Contact for license: license[at]pdfunit.com                                 #
#                                                                             #
###############################################################################
# Author: Carsten Siedentop                                                   #
# Date:   August 2013                                                         #
###############################################################################
#
# Start the ANT-Script to execute tests with PDFUnit-XML.
#
# Prerequisites:
# - Java has to be available on the machine
# - ANT has to be available too
#
# If Java and ANT are not reachable from the command line, set the path to
# Java and ANT in the lines below and remove the comment characters.
#

#export JAVA_HOME=<path-to-your-java-installation>
#export ANT_HOME=$PWD/lib/ant-1.9.4

#export PATH=$JAVA_HOME/bin:$PATH
#export PATH=$ANT_HOME/bin:$PATH

ant test
