#!/bin/bash
###############################################################################
#                                                                             #
# PDFUnit - Automated PDF Tests                                               #
#                                                                             #
# Copyright (C) 2015 PDFUnit.com                                              #
#                                                                             #
# This file is part of the commercial library PDFUnit.                        #
#                                                                             #
# Legal information__: http://www.pdfunit.com/en/licensing.html               #
# Manual_____________: http://pdfunit.com/en/documentation/                   #
# Contact for license: license[at]pdfunit.com                                 #
#                                                                             #
###############################################################################
# Author: Carsten Siedentop                                                   #
# Date:   August 2013                                                         #
###############################################################################
#
# Verify the installation of PDFUnit.
#
#
# Change the installation directories depending on your situation:
export ITEXT_HOME=./lib/itext-5.5.1
export JUNIT_HOME=./lib/junit4.11
export PDFUNIT_JAVA_HOME=./lib/pdfunit-2015.10_java-1.7
export VIP_HOME=./lib/vip-1.0.0

export CLASSPATH= 
export CLASSPATH=$ITEXT_HOME/*:$CLASSPATH
export CLASSPATH=$JUNIT_HOME/*:$CLASSPATH
export CLASSPATH=$PDFUNIT_JAVA_HOME:$CLASSPATH
export CLASSPATH=$PDFUNIT_JAVA_HOME/*:$CLASSPATH
export CLASSPATH=$VIP_HOME/*:$CLASSPATH

export CLASSPATH=$PDFUNIT_HOME/lib/aspectj-1.8.0/*:$CLASSPATH
export CLASSPATH=$PDFUNIT_HOME/lib/bouncycastle-jdk15on-150/*:$CLASSPATH
export CLASSPATH=$PDFUNIT_HOME/lib/commons-logging-1.1/*:$CLASSPATH
export CLASSPATH=$PDFUNIT_HOME/lib/jpedal/*:$CLASSPATH
export CLASSPATH=$PDFUNIT_HOME/lib/pdfbox-1.8.0/*:$CLASSPATH
export CLASSPATH=$PDFUNIT_HOME/lib/xmlunit-2.0-alpha_customized/*:$CLASSPATH

java org.verifyinstallation.VIPMain --in verifyInstallation.vip  --out verifyInstallation_result.html
